#!/bin/bash
#go to home dir
cd ~/

#make a temp dir for the download and enter it
mkdir temp && cd temp

#download server
wget https://github.com/aler9/mediamtx/releases/download/v0.22.2/mediamtx_v0.22.2_linux_amd64.tar.gz

#go to home dir
cd ~/

#go to client and rtsp dir
mkdir client && cd client && mkdir rtsp && cd rtsp


#extract downloaded server to rtsp dir
tar -xf ~/temp/mediamtx_v0.22.2_linux_amd64.tar.gz

#change back to root user and install dependencies
sudo apt install ffmpeg v4l-utils -y

