# M122 Repo

## What I will do in this module?
I will most likely drift off into other Linux related projects that will be documented here

## Installing RockBox on an iPod 7th gen
Due to a recent acquisition of an iPod 7th gen installing RockBox on it will be necessary as I do not feel like using iTunes and Apples other proprietary software that will not run on Linux.

### Hardware used
1. iPod 6/7th gen
2. 30 Pin Apple USB Cable
3. Lenovo T450s

### Software used
1. Archlinux 
3. Rockbox utility

### Struggles to avoid
Do not use the Appimage provided on the rockbox website, this will fail as apps run in fuse seem to have issues detecting the iPod

## Installation of rockbox utility and rockbox
1. Open a new bash session
2. Use the Archlinux package manager to install rbutil `sudo pacman -Sy rbutil`
3. Launch the RockBox Utility
4. Under Device Select `Change`
5. In the newly opened Popup Window Select `Autodetect` this should automatically select your iPod model and find the device on your filesystem, if not make sure that your iPod is formatted as Windows and that you have the proper Kernel modules to support the file system present on the iPod are loaded and installed
6. Confirm your device with `Ok`
7. Select the applications you wish to install before selecting `Install`
8. Follow the onscreen instructions, if your installation gets stuck after the skipping themes message, retry but uncheck the Themes installation box
9. After the installation is finished you should now have RockBox on your iPod allowing you to use it like any other MP3 player without having to use Apple file formats or iTunes in general

## Automating the installation of mediamtx
Whenever I require to install mediamtx to run USB Webcams over RTSP I am required to install mediamtx this is something that can clearly be automated using bash hence why you will find a basic bash script in the mediamtx folder that automates this process for me.

## Automating the installation of domainMOD because I can
TODO
